Debian Bug report logs - #351996
manpages-dev: string functions should reference wide string equivalents

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Samuel Thibault <samuel.thibault@ens-lyon.org>

Date: Thu, 9 Feb 2006 01:03:02 UTC

Severity: wishlist

Tags: upstream

Found in versions manpages-dev/2.17-1, manpages-dev/2.24-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: toupper & such should reference towupper & such
Date: Wed, 8 Feb 2006 01:13:11 +0100
Package: manpages-dev
Version: 2.17-1
Severity: wishlist

Hi,

It might be useful that toupper() and such fonctions reference their
wide equivalents towupper() and such.

Regards,
Samuel

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages manpages-dev depends on:
ii  manpages                      2.17-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@ens-lyon.org>
* c is away : cuisine; bouffe
<y> oh, moi je fais plutôt cuisine & bouffe en fait :)
<c> oui c'est vrai, certains font cuisine && bouffe (juste au cas où... ;-))
<y> ( cuisine && bouffe ) || restau
<N> voire ((cuisine && bouffe) || restau) & apéritif
 -+- #ens-mim -+-



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>,351996@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 9 Feb 2006 02:42:34 +0100 (MET)
> It might be useful that toupper() and such fonctions reference their
> wide equivalents towupper() and such.

Samuel,

By "and such", do you mean anything other than toupper()?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 351996@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 9 Feb 2006 09:32:42 +0100
Hi,

Michael Kerrisk, le Thu 09 Feb 2006 02:42:34 +0100, a écrit :
> > It might be useful that toupper() and such fonctions reference their
> > wide equivalents towupper() and such.
> 
> By "and such", do you mean anything other than toupper()?

I mean all that have wchar_t* equivalents in /usr/include/wchar.h:
strcpy, ..., strcmp, ..., strlen, ... atol, ..., fprintf, ..., fscanf,
..., strftime, ...
I.e. read /usr/include/wchar.h and add its functions to the "SEE ALSO"
sections of the corresponding char* functions manuals.

This way, people might be better aware of these functions that make
handling unicode a lot easier than keeping parsing utf-8 strings...

Regards,
Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #30 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: 351996@bugs.debian.org,submit@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 9 Feb 2006 09:53:31 +0100 (MET)
> Michael Kerrisk, le Thu 09 Feb 2006 02:42:34 +0100, a écrit :
> > > It might be useful that toupper() and such fonctions reference their
> > > wide equivalents towupper() and such.
> > 
> > By "and such", do you mean anything other than toupper()?
> 
> I mean all that have wchar_t* equivalents in /usr/include/wchar.h:
> strcpy, ..., strcmp, ..., strlen, ... atol, ..., fprintf, ..., fscanf,
> ..., strftime, ...
> I.e. read /usr/include/wchar.h and add its functions to the "SEE ALSO"
> sections of the corresponding char* functions manuals.
> 
> This way, people might be better aware of these functions that make
> handling unicode a lot easier than keeping parsing utf-8 strings...

Hello Samuel,

Would you be willing to produce this list for me (i.e., 
traditional.function-to-wide.equiv)-- I could
then update the pages.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #40 received at 351996@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: samuel.thibault@ens-lyon.org
Cc: 351996@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 9 Feb 2006 10:05:24 +0100 (MET)
> > Michael Kerrisk, le Thu 09 Feb 2006 02:42:34 +0100, a écrit :
> > > > It might be useful that toupper() and such fonctions reference 
> > > > their
> > > > wide equivalents towupper() and such.
> > > 
> > > By "and such", do you mean anything other than toupper()?
> > 
> > I mean all that have wchar_t* equivalents in /usr/include/wchar.h:
> > strcpy, ..., strcmp, ..., strlen, ... atol, ..., fprintf, ..., fscanf,
> > ..., strftime, ...
> > I.e. read /usr/include/wchar.h and add its functions to the "SEE ALSO"
> > sections of the corresponding char* functions manuals.
> > 
> > This way, people might be better aware of these functions that make
> > handling unicode a lot easier than keeping parsing utf-8 strings...
> 
> Hello Samuel,
> 
> Would you be willing to produce this list for me (i.e., 
> traditional.function-to-wide.equiv)-- I could
> then update the pages.

Replying to myself...

I realise that there is an easier way to determine the 
required information -- so don't worry...

$ grep equivalent man3/*w*

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #45 received at 351996@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: 351996@bugs.debian.org,control@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 9 Feb 2006 22:00:49 +0100 (MET)
tags 351996 fixed-upstream
thanks

> Michael Kerrisk, le Thu 09 Feb 2006 02:42:34 +0100, a écrit :
> > > It might be useful that toupper() and such fonctions reference their
> > > wide equivalents towupper() and such.
> > 
> > By "and such", do you mean anything other than toupper()?
> 
> I mean all that have wchar_t* equivalents in /usr/include/wchar.h:
> strcpy, ..., strcmp, ..., strlen, ... atol, ..., fprintf, ..., fscanf,
> ..., strftime, ...
> I.e. read /usr/include/wchar.h and add its functions to the "SEE ALSO"
> sections of the corresponding char* functions manuals.
> 
> This way, people might be better aware of these functions that make
> handling unicode a lot easier than keeping parsing utf-8 strings...

Fixes will be in 2.24.  Thanks for the suggestion.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #52 received at 351996@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 351996@bugs.debian.org, control@bugs.debian.org
Subject: Re: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 23 Feb 2006 12:14:45 +0100
tags 351996 - fixed-upstream
retitle manpages-dev: string functions should reference wide string equivalents
thanks

Hi,

I noticed the new manpages 2.24 package that adds a lot of
references. However there are a few missing bits. Grepping equivalent
man3/*w* missed the wide string functions that are not documented yet
(but should still be referenced for letting the programmer know that
they exist and do what he guesses). Here is the list:

strcoll wcscoll
strxfrm wcsxfrm
strchrnul wcschrnul
strstr wcswcs
strtod wcstod
strtof wcstof
strtold wcstold
atol wcstol
strtol wcstol
strtoul wcstoul
strtoll wcstoll
strtoull wcstoull
atoq wcstoq
strtoq wcstoq
strtouq wcstouq
scanf wscanf
strftime wcsftime

An additionnal extra would be fgets to reference fgetws.

Thanks,
Samuel Thibault



Tags removed: fixed-upstream Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Samuel Thibault <samy@labri.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Samuel Thibault <samy@labri.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 351996-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 351996-close@bugs.debian.org
Subject: Bug#351996: fixed in manpages 2.24-1
Date: Mon, 03 Apr 2006 14:03:09 -0700
Source: manpages
Source-Version: 2.24-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.24-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.24-1_all.deb
manpages_2.24-1.diff.gz
  to pool/main/m/manpages/manpages_2.24-1.diff.gz
manpages_2.24-1.dsc
  to pool/main/m/manpages/manpages_2.24-1.dsc
manpages_2.24-1_all.deb
  to pool/main/m/manpages/manpages_2.24-1_all.deb
manpages_2.24.orig.tar.gz
  to pool/main/m/manpages/manpages_2.24.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 351996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  3 Apr 2006 21:49:31 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.24-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 351996
Changes: 
 manpages (2.24-1) unstable; urgency=low
 .
   * New upstream version
     . Added SEE ALSO pointers to wide character equivalent functions
       (closes: Bug#351996)
Files: 
 fd574804a5cfbf1b1b0de901846f95ba 586 doc - manpages_2.24-1.dsc
 82611a5885c893a3950644b8f7762cb1 1108799 doc - manpages_2.24.orig.tar.gz
 d3ea7432557bcab72bf8c50e0a04e982 55991 doc - manpages_2.24-1.diff.gz
 9c542f468742f34ebc959b49b57efe0e 424280 doc important manpages_2.24-1_all.deb
 c7751162d4643e0bd55c5eff3b3b542f 1143876 doc standard manpages-dev_2.24-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEMX0rW5ql+IAeqTIRAigCAJ9WYCN6jaJLWXOnU+XgO7Lx3LlMpgCbBzEq
mdskY4VCfF7zK6JhdJcFcAo=
=4Bat
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #68 received at 351996@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 351996@bugs.debian.org, control@bugs.debian.org
Subject: Re: manpages-dev: toupper & such should reference towupper & such
Date: Wed, 5 Apr 2006 10:16:59 +0200
reopen 351996
thanks

Hi,

It seems like my previous mail went unnoticed, here it is again:

Samuel Thibault, le Thu 23 Feb 2006 12:14:45 +0100, a écrit :
> I noticed the new manpages 2.24 package that adds a lot of
> references. However there are a few missing bits. Grepping equivalent
> man3/*w* missed the wide string functions that are not documented yet
> (but should still be referenced for letting the programmer know that
> they exist and do what he guesses). Here is the list:
> 
> strcoll wcscoll
> strxfrm wcsxfrm
> strchrnul wcschrnul
> strstr wcswcs
> strtod wcstod
> strtof wcstof
> strtold wcstold
> atol wcstol
> strtol wcstol
> strtoul wcstoul
> strtoll wcstoll
> strtoull wcstoull
> atoq wcstoq
> strtoq wcstoq
> strtouq wcstouq
> scanf wscanf
> strftime wcsftime
> 
> An additionnal extra would be fgets to reference fgetws.

Thanks,
Samuel



Bug reopened, originator not changed. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.24-1. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #77 received at 351996@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>,351996@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Wed, 5 Apr 2006 23:13:29 +0200 (MEST)
> Von: Samuel Thibault <samuel.thibault@ens-lyon.org>

> It seems like my previous mail went unnoticed, here it is again:
> 
> Samuel Thibault, le Thu 23 Feb 2006 12:14:45 +0100, a écrit :
> > I noticed the new manpages 2.24 package that adds a lot of
> > references. However there are a few missing bits. Grepping equivalent
> > man3/*w* missed the wide string functions that are not documented yet
> > (but should still be referenced for letting the programmer know that
> > they exist and do what he guesses). Here is the list:
> > 
> > strcoll wcscoll
> > strxfrm wcsxfrm
> > strchrnul wcschrnul
> > strstr wcswcs
> > strtod wcstod
> > strtof wcstof
> > strtold wcstold
> > atol wcstol
> > strtol wcstol
> > strtoul wcstoul
> > strtoll wcstoll
> > strtoull wcstoull
> > atoq wcstoq
> > strtoq wcstoq
> > strtouq wcstouq
> > scanf wscanf
> > strftime wcsftime

Sorry, I thought I had responded to your earlier mail...
From an upstream point of view, I don't want to make these
changes at this time.  The reason is that the w* pages in
question do not yet exist.  I have added text to the
HOWTOHELP document noting that these pages are yet to
be written and that when they are, SEE ALSO links can be
created in the pages for their traditional equivalents.

These w* pages are just a few among a very large number
of man pages that remain to be written, and are not
high on my own list of priorities.  If you would like to
contribute the required man pages, you are most welcome.

> > An additionnal extra would be fgets to reference fgetws.

This has been done (i.e., I have added a SEE ALSO link in 
gets.3).

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #82 received at 351996@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 351996@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Wed, 5 Apr 2006 23:32:18 +0200
Michael Kerrisk, le Wed 05 Apr 2006 23:13:29 +0200, a écrit :
> From an upstream point of view, I don't want to make these
> changes at this time.  The reason is that the w* pages in
> question do not yet exist.  I have added text to the
> HOWTOHELP document noting that these pages are yet to
> be written and that when they are, SEE ALSO links can be
> created in the pages for their traditional equivalents.

Ok. But couldn't str version still point to the "undocumented" man page?
(for letting the programmer as soon as now that these functions exist).

Regards,
Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #87 received at 351996@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 351996@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Wed, 5 Apr 2006 19:44:59 -0400
On Wed, Apr 05, 2006 at 11:32:18PM +0200, Samuel Thibault wrote:
> Michael Kerrisk, le Wed 05 Apr 2006 23:13:29 +0200, a ?crit :
> > From an upstream point of view, I don't want to make these
> > changes at this time.  The reason is that the w* pages in
> > question do not yet exist.  I have added text to the
> > HOWTOHELP document noting that these pages are yet to
> > be written and that when they are, SEE ALSO links can be
> > created in the pages for their traditional equivalents.
> 
> Ok. But couldn't str version still point to the "undocumented" man page?
> (for letting the programmer as soon as now that these functions exist).
I think that is a Debianism, and is depreciated now anyway.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #92 received at 351996@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>,351996@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Thu, 6 Apr 2006 03:57:47 +0200 (MEST)
> Michael Kerrisk, le Wed 05 Apr 2006 23:13:29 +0200, a écrit :
> > From an upstream point of view, I don't want to make these
> > changes at this time.  The reason is that the w* pages in
> > question do not yet exist.  I have added text to the
> > HOWTOHELP document noting that these pages are yet to
> > be written and that when they are, SEE ALSO links can be
> > created in the pages for their traditional equivalents.
> 
> Ok. But couldn't str version still point to the "undocumented" man page?
> (for letting the programmer as soon as now that these functions exist).

This is not how things are done (upstream at least).

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #97 received at 351996@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>, 351996@bugs.debian.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Sun, 30 Apr 2006 11:53:45 +0200
Michael Kerrisk wrote:
> > Michael Kerrisk, le Wed 05 Apr 2006 23:13:29 +0200, a écrit :
> > > From an upstream point of view, I don't want to make these
> > > changes at this time.  The reason is that the w* pages in
> > > question do not yet exist.  I have added text to the
> > > HOWTOHELP document noting that these pages are yet to
> > > be written and that when they are, SEE ALSO links can be
> > > created in the pages for their traditional equivalents.
> > 
> > Ok. But couldn't str version still point to the "undocumented" man page?
> > (for letting the programmer as soon as now that these functions exist).
> 
> This is not how things are done (upstream at least).

Umh... it would be better to add a note to the manpages in question
about their *w* counterparts, or even document the *w* variant within
the non-*w* variant with a proper note.

Regards,

	Joey

-- 
Every use of Linux is a proper use of Linux.  -- Jon 'maddog' Hall

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #102 received at 351996@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>,351996@bugs.debian.org
Cc: samuel.thibault@ens-lyon.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Sun, 30 Apr 2006 22:37:45 +0200 (MEST)
> > > Ok. But couldn't str version still point to the "undocumented" man
> > > page?
> > > (for letting the programmer as soon as now that these functions
> > > exist).
> > 
> > This is not how things are done (upstream at least).
> 
> Umh... it would be better to add a note to the manpages in question
> about their *w* counterparts, or even document the *w* variant within
> the non-*w* variant with a proper note.

The last option is my preference.  Someone could write the pages.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#351996; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #107 received at 351996@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>,351996@bugs.debian.org
Cc: samuel.thibault@ens-lyon.org
Subject: Re: Bug#351996: manpages-dev: toupper & such should reference towupper & such
Date: Sun, 30 Apr 2006 22:40:15 +0200 (MEST)
> Umh... it would be better to add a note to the manpages in question
> about their *w* counterparts, or even document the *w* variant within
> the non-*w* variant with a proper note.

Ooops -- I misread that.  My preference would be separate pages,
just for consistency with existing practice for the other w* 
pages.  The alternative would be to move the text of the existing
w* pages into there non-w* counterparts.  Whichever, consistency
would be best, and the undocumented w* pages need to be documented
(by someone).

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Added tag(s) upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Fri, 14 Feb 2014 23:24:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:09:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.